


function dataicofe(tipo) {
	//alert("entra dataico")
	//VGdocumento=document.getElementById("tdocumento").value
	//VGempresa=document.getElementById("tempresa").value
	//VGnumero=document.getElementById("tnumero").value
	//VGprefijo=document.getElementById("tprefijo").value
	if (VGdocumento!="" && VGempresa!=""){ 
	   
		url="&tipo="+"l";
		url+="&documento="+VGdocumento;
		url+="&tipod="+tipo;
		url+="&empresa="+VGempresa;
		url+="&accion="+VGaccion;
	
		console.log(url);
		doAjax('controllers/dataicos/',url,'resp_fe_dat','gets','0','Ccargar');
	}else{alert("Debe seleccionar Factura y empresa")}
}

function resp_fe_dat(ResTex) {
	console.log(ResTex);
	var oJsonDatos = JSON.parse(ResTex);
	console.log(oJsonDatos);
	var NJsonItem=oJsonDatos.Datos.length;
	cRuta=oJsonDatos.Datos[0].rutapdf;
	Detalle="<div>Factura..";
	Detalle+='<a href="'+cRuta+'">Pdf factura</a><br>';
	Detalle+="</div>";
	document.getElementById("app").innerHTML=Detalle;
	document.getElementById("datosfe").innerHTML="";

	console.log(cRuta)
	window.open(cRuta);
	//mostrar_fe_dat(VGdocumento);
}

function mostrar_fe_dat(cNfe){ 
	if (VGdocumento!="" && VGempresa!=""){ 
		url="&tipo="+"C";
		url+="&documento="+VGdocumento;
		url+="&tipod=FE"
		url+="&empresa="+VGempresa;
		console.log(url);
		doAjax('controllers/dataicos/',url,'mostrar_resp_dat','gets','0','Ccargar');
	}else{
		alert("Debe seleccionar Factura y empresa")
	}
	  
}
	
function mostrar_resp_dat(ResTex){ 
	var oJsonDatos = JSON.parse(ResTex);
	console.log(oJsonDatos);
	var rpdf=""
	var rxml=""
	var rest=""
	var rzip=""
	var rid=""
	var rcufe=""
	var xml=""
	var rqr=""
	var rpre=""
	var rnum=VGdocumento
	Detalle="<div>Factura..";
	rpdf=oJsonDatos.Datos.invoice.pdf_url
	rid=oJsonDatos.Datos.invoice.uuid
	rxml=oJsonDatos.Datos.invoice.xml_url
	rcufe=oJsonDatos.Datos.invoice.cufe
	rqr=oJsonDatos.Datos.invoice.qrcode
	xml=oJsonDatos.Datos.invoice.xml
	rest=oJsonDatos.Datos.invoice.dian_status
	Detalle+='<a href="'+oJsonDatos.Datos.invoice.pdf_url+'">Pdf factura</a><br>';
	
	Detalle+="</div>";
	console.log(Detalle);
	document.getElementById("app").innerHTML=Detalle;
		
	//Acctualizando e del Doc. E.
	url="&tipo="+"l";
	url+="&documento="+VGdocumento;
	url+="&empresa="+VGempresa;
	url+="&rpdf="+rpdf;
	url+="&rid="+rid;
	url+="&rxml="+rxml;
	url+="&rzip="+rzip;
	url+="&rcufe="+rcufe;
	url+="&rqr="+rqr;
	url+="&rest="+rest;
	console.log(url);
		doAjax('controllers/updatedes/',url,'resp_update_dat','post','0','Ccargar');

}
function resp_update_dat(ResTex) {
	console.log(ResTex);
	console.log("PROCESADO");
	} 

